//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "CCALENDR"
#pragma link "cdiroutl"
#pragma link "CGRID"
#pragma link "CSPIN"
#pragma link "ibreg"
#pragma link "PERFGRAP"
#pragma link "piereg"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
int play_which=0;
bool player_open = false;

void __fastcall TForm1::Button1Click(TObject *Sender)
{
if (OpenDialog1->Execute())
        {
        player_open = false;
        MediaPlayer1->Close();
        MediaPlayer1->FileName = OpenDialog1->Files->Strings[play_which];
        MediaPlayer1->Open();
        MediaPlayer1->Notify = true;
        MediaPlayer1->DisplayRect = MediaPlayer1->Display->ClientRect;
        MediaPlayer1->Play();
        player_open = true;
        play_which++;
        if (play_which>OpenDialog1->Files->Count-1) play_which=OpenDialog1->Files->Count-1;
        }
}
//---------------------------------------------------------------------------
AnsiString ModeStr[] = {"Not ready", "Stopped", "Playing", "Recording", "Seeking", "Paused", "Open"};
void __fastcall TForm1::MediaPlayer1Notify(TObject *Sender)
{
  Form1->Caption = ModeStr[(int) MediaPlayer1->Mode];
  /* Note we must reset the Notify property to so that we are notified the next time the mode changes */
  MediaPlayer1->Notify = true;
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Timer1Timer(TObject *Sender)
{
if (!player_open) return; 

Form1->Caption = "Length: "+IntToStr(MediaPlayer1->TrackLength[1]) +
                ", Position: "+IntToStr(MediaPlayer1->TrackPosition[1]);
if (MediaPlayer1->TrackPosition[0] == MediaPlayer1->TrackLength[0])
    {
    player_open = false;
    MediaPlayer1->Close();
    MediaPlayer1->FileName = OpenDialog1->Files->Strings[play_which];
    MediaPlayer1->Open();
    MediaPlayer1->Notify = true;
    MediaPlayer1->DisplayRect = MediaPlayer1->Display->ClientRect;
    MediaPlayer1->Play();
    player_open = true;
    play_which++;
    if (play_which>OpenDialog1->Files->Count-1) play_which=OpenDialog1->Files->Count-1;
    }
}
//---------------------------------------------------------------------------

